import draw.*;
import geometry.*;
import colors.*;

// TimerWorld.java

import java.util.Random;


// ------------------------------------------------------------------------------
// represent the world of a Blob
public class BlobWorld extends World {

   public static int width = 200;
   public static int height = 400;
   public Blob blob;

   public BlobWorld(Blob blob) {
	 this.blob = blob;
   }

   // what happens when the player presses a key
   public World onKeyEvent(String ke) {
     return new BlobWorld(this.blob.moveBlob(ke));
   }

   // what happens when the clock ticks
   public World onTick() {
     // if the blob is outside the canvas, stop
     if (this.blob.outsideBounds(BlobWorld.width, BlobWorld.height)
        && this.endOfTime("Blob outside"))
     	return this;

     // else move the blob randomly at most 5 pixels in any direction
     else
       return new BlobWorld(this.blob.randomMove(5));
   }
   // draw this world
   public boolean draw() {
     return this.theCanvas.drawRect(new Posn(0, 0), BlobWorld.width, BlobWorld.height, new Blue())
         && this.blob.draw(this);
   }

}

